{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/git-client:cd11e0475ba67cba39c5590533208bc38e82f5904b51ee487943f2b04f6c9469"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "id": "#git_clone_repo.cwl/repo_url",
                    "type": "string",
                    "inputBinding": {
                        "position": 0
                    }
                }
            ],
            "baseCommand": [
                "git",
                "clone"
            ],
            "id": "#git_clone_repo.cwl",
            "outputs": [
                {
                    "id": "#git_clone_repo.cwl/output",
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "${\n  function endsWith(str, suffix) {\n    return str.indexOf(suffix, str.length - suffix.length) !== -1;\n  }\n\n  function local_basename(path) {\n    var basename = path.split(/[\\\\/]/).pop();\n    return basename\n  }\n\n  function get_slice_number(file_name) {\n    if (endsWith(file_name, '.git')) {\n      return -4\n    }\n    else {\n      return 0\n    }\n  }\n\n  var repo_basename = local_basename(inputs.repo_url);\n  var slice_number = get_slice_number(repo_basename);\n  var repo_prefix = repo_basename.slice(0, slice_number);\n\n  return repo_prefix\n}\n"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/git-client:cd11e0475ba67cba39c5590533208bc38e82f5904b51ee487943f2b04f6c9469"
                },
                {
                    "class": "EnvVarRequirement",
                    "envDef": [
                        {
                            "envName": "GIT_DIR",
                            "envValue": "$(inputs.repo.basename)/.git"
                        }
                    ]
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "$(inputs.repo.basename)",
                            "entry": "$(inputs.repo)",
                            "writable": true
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "id": "#git_reset_repo.cwl/repo",
                    "type": "Directory"
                },
                {
                    "id": "#git_reset_repo.cwl/git_hash",
                    "type": "string",
                    "inputBinding": {
                        "position": 1
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#git_reset_repo.cwl/output",
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.repo.basename)"
                    }
                }
            ],
            "baseCommand": [
                "git",
                "checkout"
            ],
            "id": "#git_reset_repo.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "id": "#main/repo_url",
                    "type": "string"
                },
                {
                    "id": "#main/git_hash",
                    "type": "string"
                }
            ],
            "outputs": [
                {
                    "id": "#main/git_dir",
                    "type": "Directory",
                    "outputSource": "#main/transform/output"
                }
            ],
            "steps": [
                {
                    "id": "#main/extract",
                    "run": "#git_clone_repo.cwl",
                    "in": [
                        {
                            "id": "#main/extract/repo_url",
                            "source": "#main/repo_url"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/extract/output"
                        }
                    ]
                },
                {
                    "id": "#main/transform",
                    "run": "#git_reset_repo.cwl",
                    "in": [
                        {
                            "id": "#main/transform/repo",
                            "source": "#main/extract/output"
                        },
                        {
                            "id": "#main/transform/git_hash",
                            "source": "#main/git_hash"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/transform/output"
                        }
                    ]
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
